/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */

/* fonts */
@font-face { font-family: "retro-header"; src: url("./fonts/retrowave.otf")format("opentype"); } 
@font-face { font-family: "retro-text"; src: url("./fonts/holiday-mango.ttf")format("truetype"); } 

:root {
  /*colors*/
  --dark-blue: #00204f;
  --blue: #016e95;
  --pale-blue: #028b95;
  --turquoise: #6eaea0;
  --pale-yellow: #e8cfb3;
  --yellow: #e3953b;
  --orange:#c44721;
  --red: #bd190d;

  --grey: #919191;
  --dark-grey: #535353;
  --black: #333333;
  --white: #c9c9c9;
}

html {
  height: 100%;
}

body {
  height: 100%;
  font-family: retro-text;
  overflow: hidden;
  font-size: 1rem;
  margin: 0;
  width: 100%;
  background-color: var(--pale-yellow);
  color: var(--black);
}

.red {
  background-color: var(--red);
}

.orange {
  background-color: var(--orange);
}

.yellow {
  background-color: var(--yellow);
}

.dark-blue {
  background: var(--dark-blue);  
}

.blue {
 background: var(--blue);
}

.pale-blue {
  background: var(--pale-blue);
}

.container-main {
  border: 0.25rem solid var(--pale-yellow);
  padding: 1rem;
  margin: 0 auto;
}

.outer {
  width: 100%;
  border-radius: 5.5rem;
  margin-bottom: 5rem;
}

.mid {
  border-radius: 4rem;
}

.inner {
  border-radius: 2.5rem;
}

.content-main {
 border: 0.25rem solid var(--pale-yellow);
 border-radius: 1rem;
 background-color: var(--pale-yellow);
 padding: 2rem;
}

.section-header {
  font-family: retro-header;
  position: relative;
  margin-top: -6.75rem;
  margin-left: -2.5rem;
  font-size: 4rem;
  color: var(--yellow);
}

.sub-header {
  font-family: retro-header;
  position: relative;
  font-size: 3rem;
  color: var(--orange);
}

.side-nav-header {
  font-family: retro-header;
  white-space: nowrap;
  width: 100%;
  position: relative;
  margin-top: -6.75rem;
  margin-left: -2.5rem;
  font-size: 4rem;
  color: var(--turquoise);
}

.text-outline {
  text-shadow: 0.2rem 0 var(--pale-yellow), 0 0.2rem var(--pale-yellow), -0.2rem 0 var(--pale-yellow), 0 -0.2rem var(--pale-yellow), -0.2rem -0.05rem var(--pale-yellow), -0.2rem 0.05rem var(--pale-yellow), 0.2rem -0.05rem var(--pale-yellow), 0.2rem 0.05rem var(--pale-yellow);
}

.text-outline-small {
  text-shadow: 0.05rem 0 var(--pale-yellow), 0 0.05rem var(--pale-yellow), -0.05rem 0 var(--pale-yellow), 0 -0.05rem var(--pale-yellow), -0.05rem -0.05rem var(--pale-yellow), -0.05rem 0.05rem var(--pale-yellow), 0.05rem -0.05rem var(--pale-yellow), 0.05rem 0.05rem var(--pale-yellow);
}

.content {
 padding: 1rem;
}

.header {
  width: 100%;
  height: auto;
  position: sticky;
  top: 0;
  overflow: hidden;
  z-index: 10;
}

.header-background-main {
  width: 100%;
}

.header-container {
  padding-bottom: 1rem;
  border-bottom: 0.25rem solid var(--pale-yellow);
  margin: 0 auto;
}

.button-container {
  position: relative;
  margin-top: -4rem;
  height: 4.5rem;
  display: flex;
  justify-content: space-between;
}

.main {
 position: absolute;
 width: 100%;
 padding-left: 1rem;
 top: 3rem;
 overflow: hidden;
 height: calc(100% - 3rem);
}

.main-content {
  padding: 20rem 0rem 30rem 0rem;
  height: 100%;
  overflow-y: scroll;
}

.main-content-inner {
  height: auto;
}

.side-nav {
  padding: 20rem 0;
}

.nav-hover-area {
  height: 1.75rem;
  width: 100%;
  white-space: nowrap;
  color: var(--pale-blue);
  font-size: 1.5rem;
  transition: font-size 0.25s, color 0.25s;
}
.nav-hover-area:hover {
  color: var(--turquoise); 
  font-size: 1.75rem;
}

.nav-button {
  text-decoration: none;
  width: 100%;
  white-space: nowrap;
  font-family: retro-header;
  padding: 0rem 0.5rem 0rem 0.5rem;
  margin: 0rem 1rem 0rem 1rem;
  z-index: 11;
  color: inherit;
}

.nav-button-header {
  text-decoration: none;
  font-family: retro-header;
  padding: 0rem 0.5rem 0rem 0.5rem;
  margin: 0rem 1rem 0rem 1rem;
  z-index: 11;
  color: var(--pale-blue);
  font-size: 3rem;
  transition: font-size 0.25s, color 0.25s;
}

.nav-button-header:hover {
  color: var(--turquoise); 
  font-size: 3.25rem;
}

.nav-button-small {
  text-decoration: none;
  color: var(--pale-blue);
  font-family: retro-header;
  font-size: 1rem;
  transition: color 0.1s;
}

.nav-button-small:hover {
  color: var(--turquoise);
}

.side-nav-sub-area {
 padding-left: 1rem; 
}

.sub-section {
  width: 100%;
  height: auto;
  padding: 2rem 0rem 2rem 0rem;
}

.icon-container {
  border-radius: 50%;
  border:0.5rem solid var(--orange);
  margin: 0rem 1rem 0rem 1rem;
  shape-outside: circle();
  shape-margin: 0.5rem;
}

.left {
 float: left; 
}

.right {
 float: right; 
}

.icon-container .sub-section-icon {
  width: 10rem;
  height: 10rem;
  border-radius: 5rem;
  border: 0.125rem solid var(--pale-yellow);
}

.text-left {
 text-align: left;
}

.text-right {
 text-align: right;
}

.sub-section-content {
  float:none;
}

.quote {
  color: var(--dark-grey);
  font-size: 0.8rem;
}